<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'FeaturesCtaSection',
  props: {
    tabTitle: {
      type: String,
      required: false,
      default: undefined,
    },
    categoryName: {
      type: String,
      required: false,
      default: '',
    },
  },
  data() {
    return {
      content: [],
    };
  },
  async fetch() {
    const content = (await this.$content(
      `shared/${this.i18n.locale}/features/features-cta-section`,
    ).fetch()) as any;
    this.content = content;
  },
});
</script>

<template>
  <div v-if="content" class="features-cta-section">
    <SlpRow>
      <SlpColumn
        v-for="(card, index) in content.data"
        :key="index"
        :cols="6"
        class="features-cta-section__column"
      >
        <a
          class="features-cta-section__card"
          :href="card.link.url"
          :data-ga-features="tabTitle?.toLowerCase() ?? null"
          :data-ga-features-sub="tabTitle ? categoryName.toLowerCase() : null"
          :data-ga-features-sub-card="
            tabTitle ? card.title.toLowerCase() : null
          "
          :data-ga-name="
            tabTitle ? card.link.text.toLowerCase() : card.link.data_ga_name
          "
          :data-ga-location="
            tabTitle ? 'features content' : card.link.data_ga_location
          "
        >
          <SlpIcon
            :name="card.icon.name"
            variant="marketing"
            :alt="card.icon.name"
            size="lg"
            :hex-color="card.icon.hex_color"
            :slp-color="card.icon.slp_color"
          />
          <SlpTypography
            variant="heading4"
            tag="h3"
            class="features-cta-section__card-title"
            >{{ card.title }}</SlpTypography
          >
          <span class="features-cta-section__card-link" :href="card.link.url">
            <SlpTypography variant="body1-bold">{{
              card.link.text
            }}</SlpTypography>
            <SlpIcon
              name="chevron-lg-right"
              variant="product"
              alt="Chevron Right Icon"
            />
          </span>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style scoped lang="scss">
.features-cta-section {
  margin-bottom: 64px;

  &__column {
    @media (min-width: $breakpoint-md) {
      &:first-child {
        padding-right: $spacing-32;
      }
    }
  }

  &__card {
    border-radius: 16px;
    color: $color-text-300;
    display: block;
    background: $color-surface-800;
    padding: $spacing-32;
    transition: all 0.3s ease-in;
    width: 100%;
    max-width: 100%;
    &:hover {
      box-shadow: #d1d0d3 0 24px 50px -24px;
    }
  }
  &__card-link {
    display: flex;
    align-items: center;
  }
  &__card-title {
    margin: $spacing-16 0 $spacing-32 0;
  }
}
</style>
